﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace ValueMemberCBOSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initializes new instance 
        SqlConnection con = new SqlConnection();
        SqlDataAdapter da = new SqlDataAdapter();
        SqlCommand cmd = new SqlCommand();
        DataTable dt = new DataTable();
        //declare a variable
        string query;
        //a method for filling data in the combobox
        private void LoadBooks(string query, ComboBox  cbo)
        {
            //opening connection
            con.Open();
            try
            {
                //initialize a new instance of sqlcommand
                cmd = new SqlCommand();
                //set a connection used by this instance of sqlcommand
                cmd.Connection = con;
                //set the sql statement to execute at the data source
                cmd.CommandText = query;
                //initialize a new instance of sqlDataAdapter
                da = new SqlDataAdapter();
                //set the sql statement or stored procedure to execute at the data source
                da.SelectCommand = cmd;
                //initialize a new instance of DataTable
                dt = new DataTable();
                //add or resfresh rows in the certain range in the datatable to match those in the data source.
                da.Fill(dt);

                //Get and set the data source of a comboBox
                cbo.DataSource = dt;
                //set the field of a table to display in the list control of a combo box
                cbo.DisplayMember = "BooksName";
                //'SET THE ACTUAL VALUE OF THE 
                //' ITEMS IN THE COMBOBOX
                cbo.ValueMember = "ID";
                //Display first in the list control
                cbo.Text = "Select";

            }
            catch (Exception ex)
            {
                //catching error 
                MessageBox.Show(ex.Message);
            }
            //release all resources used by the component
            da.Dispose();
            //closing connection
            con.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection between SQL server and Visual C#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=dbbooks;trusted_connection=true;";
            //set up a retrieve query
            query = "Select * From tblbooks";
            LoadBooks(query, comboBox1 );//call a load method
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
             
                MessageBox.Show("Book Id : " + comboBox1.SelectedValue.ToString());
            
        }

    }
}
